Requires pch_lib plugin